> For the complete documentation index, see [llms.txt](https://docs.rewst.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rewst.help/updates/marketplace-updates/2025-marketplace-updates/june-27th-2025-marketplace-update.md).

# June 27, 2025 - Marketplace Update

<details>

<summary><strong>New Crates and enhancements</strong></summary>

* No Crate releases this week.

</details>

<details>

<summary><strong>Bug fixes and chores</strong></summary>

* [Microsoft: User Onboarding](/documentation/crates/existing-crate-documentation/microsoft-user-onboarding-crate-v2.md)
  * Fixed client-side crash by replacing NULL id with empty string in failure option generation
  * Updated PowerShell to search by UPN if no match on samAccountName
  * Modified option generator for PSA contacts to include a `default` key based on org var
  * Corrected transition logic from `desk_phone_number` to `mobile_phone_number`
  * Adjusted supervisor option generator and removed redundant action
  * Added a update ticket on failure transition to update the ticket with the failure data and workflow result
* [Microsoft: User Offboarding](/documentation/crates/existing-crate-documentation/microsoft-user-offboarding-crate.md)
  * Removed ticket status override so Halo handles default update
  * Added Jinja to include removed licenses in final ticket update
  * Added public note action for Halo PSA ticket update
* Rewst: User Onboarding
  * Excluded guest accounts using filter `userType ne "Guest"`
* [OpenAI Ticket Sentiment Analysis](/documentation/crates/existing-crate-documentation/openai-ticket-sentiment-setup.md)
  * Prevented Priority field from updating when not included in config
* [Time Savings Report](/documentation/crates/existing-crate-documentation/time-savings-report-crate.md)
  * Fixed JinjaEvaluationException on cron when email\_addresses is a list
* [Alert on Expiring App Reg Secrets](/documentation/crates/existing-crate-documentation/alert-on-expiring-app-reg-secrets-crate.md)
  * Fixed incorrect Company ID being set on created ticket
* Google: User Onboarding
  * Handled case where there are no organization units in create user action
* GWS and Microsoft: Onboard and Offboard
  * Improved approval flow input parsing to support list, comma-separated string, or single email string
* Multiple
  * Replaced manual CSV override with cron-updated MS template CSV

</details>

<details>

<summary><strong>Coming soon!</strong></summary>

* Refactor of Sync Last Logged-In Info to PSA Asset Crate
* Document Bitlocker Recovery Keys (Bitlocker Management Crate Series)

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rewst.help/updates/marketplace-updates/2025-marketplace-updates/june-27th-2025-marketplace-update.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
